# insert-file(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

insert-file - Insert file into current buffer

## SYNOPSIS

n insert-file "file-name" [ byte-offset byte-length ] (C-x C-i)

## DESCRIPTION

insert-file inserts the named file file-name n times into the current buffer at the beginning of the current line. The buffer mark is set to the start of the insertion and the cursor is moved to the end. If the file-name is a directory then a directory listing is inserted into the buffer.

If the numeric argument n is negative then insert-file reads and inserts byte-length bytes from the byte file offset byte-offset.

## SEE ALSO

find-bfile(3), find-file(2), insert-file-name(2), page-bfile(3), page-file(3), set-mark(2), view-file(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>